View Issue Details

IDProjectCategoryView StatusLast Update
14226Bug reports[All Projects] Otherpublic2019-04-30 09:10
Reportergeorgehunn91Assigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.15.x 
Summary14226: End Url display issues
Description

The end URL will not display unless the survey is activated

Steps To Reproduce

Input end url in inactive survey - submit survey - end url will not display

Additional Information

it works once the survey is activated

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15 & 180926
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysqlnd 5.0.12-dev
Server OS (if known)Linux ip-10-0-3-4 4.4.0
Webserver software & version (if known)Apache
PHP Version7.0.32-0ubuntu0.16.04.1

Activities

DenisChenu

DenisChenu

2018-11-13 13:10

developer   ~49627

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28512

georgehunn91

georgehunn91

2018-12-05 10:18

reporter   ~49886

Hi,

Thanks for getting ontop of this bug! The end URL now shows up in non-active surveys but for some reason the variables i.e. INSERTANS123456x1234x12 will only take on their value once the survey is activated. In non active surevys they will stay as INSERTANS123456x1234x12

Best Regards

George

DenisChenu

DenisChenu

2018-12-05 12:14

developer   ~49887

  1. Always send a lss
  2. Did you test using {QuestionCode.NAOK} ?
georgehunn91

georgehunn91

2018-12-05 12:34

reporter   ~49888

Hi

Thanks for the quick responseI have a attached a .lss file.
If you run 'not active' and then again 'active' and compare the end URLs you will see what I mean.

Cheers
George



endurltest.lss (14,602 bytes)
DenisChenu

DenisChenu

2018-12-12 08:39

developer   ~49939

Confirmed, review the fix

DenisChenu

DenisChenu

2018-12-12 09:41

developer   ~49943

https://github.com/LimeSurvey/LimeSurvey/pull/1192

DenisChenu

DenisChenu

2018-12-18 00:21

developer   ~49978

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28658

Related Changesets

LimeSurvey: master a5e16487

2018-11-13 13:10:32

DenisChenu

Details Diff
Fixed issue 14226: End Url don't display if survey not activated
Dev: submit_preview include submit
Dev: submit use aSurveyInfo.surveyls_url
Dev: put the warning at top
Affected Issues
14226
mod - themes/survey/vanilla/views/subviews/content/submit.twig Diff File
mod - themes/survey/vanilla/views/subviews/content/submit_preview.twig Diff File

LimeSurvey: master 3af1dea4

2018-12-18 00:21:14

DenisChenu


Committer: GitHub Details Diff
Dev: fixed 14226 second part (#1192)

Dev: move to use extends "./subviews/content/submit.twig"
Dev: add a lot of block to allow updating
Dev: do the job 2 times : one in SurveyRunTime : didn't broke current extended template
Dev: 2 times too for automatic translation
Dev: add information about url (print and stats) and disable url
Affected Issues
14226
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - themes/survey/vanilla/views/subviews/content/submit.twig Diff File
mod - themes/survey/vanilla/views/subviews/content/submit_preview.twig Diff File

Issue History

Date Modified Username Field Change
2018-11-07 09:39 georgehunn91 New Issue
2018-11-13 13:02 DenisChenu Assigned To => DenisChenu
2018-11-13 13:02 DenisChenu Status new => assigned
2018-11-13 13:10 DenisChenu Changeset attached => LimeSurvey master a5e16487
2018-11-13 13:10 DenisChenu Note Added: 49627
2018-11-13 13:10 DenisChenu Resolution open => fixed
2018-11-13 13:10 DenisChenu Status assigned => resolved
2018-11-13 13:10 DenisChenu Fixed in Version => 3.15.x
2018-12-05 10:18 georgehunn91 Note Added: 49886
2018-12-05 12:14 DenisChenu Note Added: 49887
2018-12-05 12:34 georgehunn91 File Added: endurltest.lss
2018-12-05 12:34 georgehunn91 Note Added: 49888
2018-12-12 08:39 DenisChenu Note Added: 49939
2018-12-12 08:39 DenisChenu Status resolved => feedback
2018-12-12 08:39 DenisChenu Resolution fixed => reopened
2018-12-12 09:41 DenisChenu Note Added: 49943
2018-12-12 09:41 DenisChenu Assigned To DenisChenu => LouisGac
2018-12-18 00:21 DenisChenu Changeset attached => LimeSurvey master 3af1dea4
2018-12-18 00:21 DenisChenu Note Added: 49978
2018-12-18 00:21 DenisChenu Assigned To LouisGac => DenisChenu
2018-12-18 00:21 DenisChenu Status feedback => resolved
2018-12-18 00:21 DenisChenu Resolution reopened => fixed
2019-04-30 09:10 c_schmitz Status resolved => closed